---
date: 2022-07-21
status: accepted
tags:
  - front-end
  - css
deciders:
  - Adam Varn
  - Andrew Berry
  - Andy Blum
  - Aubrey Sambor
  - Pauline Judge
title: Use SMACSS to organize CSS within projects
deck: Organizing CSS within projects the same way Drupal organizes its CSS establishes a consistent pattern.
---
## Decision

We will use the [Scalable and Modular Architecture for CSS](http://smacss.com/) (SMACSS) methodology to organize CSS. This methodology can be applied to any project, whether it be a Drupal project (where this convention is [currently used](https://www.drupal.org/node/1887922)) or any other front-end project.

##  Consequences

By standardizing on a CSS organization methodology across projects, developers can easily organize their styles using a common system. Developers new to a project will already know how the CSS will be organized, allowing them to quickly contribute to a new codebase.
