---
date: 2024-09-24
status: accepted
tags:
  - meta

deciders:
  - Andrew Berry
  - Andy Blum
  - Aubrey Sambor
  - Danny Joris
title: Use 11ty to manage the ADRs
deck: We need a site generator to publish our ADRs.

---
## Decision

We will use [Eleventy (11ty)](https://www.11ty.dev) to generate a website for [architecture.lullabot.com](https://architecture.lullabot.com).

## Context

We initially used [log4brains](https://github.com/thomvaill/log4brains) which
met many of our needs. However, it did not support key features like [embedding local images](https://github.com/thomvaill/log4brains/issues/4),
and went through a through a period of minimal maintainership.

Our team determined that creating our own theme would be more effective for our
needs. This led to using [Gatsby](https://www.gatsbyjs.com/), which worked, but was overly complex for our use-case. Team members reported having difficulties running the gatsby project locally as well as handling the coordination of features between our internal ADR site and our public Gatsby theme for the ADR site.

##  Consequences

While 11ty is still a tool our team will need to maintain, it has fewer dependencies and does not need React knowledge to contribute and maintain the site. As well, build times are much faster compared to Gatsby. This should lead to more Lullabots being able to contribute fixes and features and reduce the amount of time spent on tasks.

The 11ty community does not have the concept of "themes", but rather "starter templates". We will not be able to maintain a community theme for the ADR site like we did for Gatsby.
